C$Procedure  VOXDIM  ( return voxel grid information )
 
      SUBROUTINE VOXDIM ( NVOX, VOXSIZ, VOXORI )
 
C$ Abstract
C
C     Returns basic voxel grid information.
C
C$ Copyright
C
C     Copyright (1999), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     VOXEL
C
C$ Declarations
 
      IMPLICIT              NONE
 
      INTEGER               NVOX    ( 3 )
 
      DOUBLE PRECISION      VOXSIZ
      DOUBLE PRECISION      VOXORI  ( 3 )
 
C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  --------------------------------------------------
C     NVOX       O   Dimension of voxel grid in voxel units.
C     VOXSIZ     O   Size of voxel in model units.
C     VOXORI     O   Coordinates of voxel grid origin in model units.
C
C$ Detailed_Input
C
C     None.
C
C$ Detailed_Output
C
C     NVOX       Dimension of voxel grid in voxel units.
C
C     VOXSIZ     Size of voxel in model units.
C
C     VOXORI     Coordinates of voxel grid origin in model units.
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free.
C
C     1)
C
C$ Particulars
C
C     Later.
C
C$ Examples
C
C     Later.
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     J.A. Bytof      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    SPICELIB Version 1.0.0, 04-FEB-1999 (JAB)
C
C
C-&
 
C$ Index_Entries
C
C     return voxel grid information
C
C-&
 
      LOGICAL               RETURN
 
      INTEGER               NVXTOT
      INTEGER               BODEX
      INTEGER               NVX     ( 1 )
 
 
      SAVE  BODEX
      DATA  BODEX  / 1 /
 
C
C     Standard SPICELIB error handling.
C
 
      IF ( RETURN () ) THEN
         RETURN
      END IF
 
      CALL CHKIN  ( 'VOXDIM' )
 
 
      CALL VOXSUM ( BODEX, NVOX, VOXSIZ, VOXORI, NVXTOT, NVX )
 
C
C     Standard SPICE error handling.
C
 
      CALL CHKOUT ( 'VOXDIM' )
 
 
      RETURN
      END
